uuagc

Safe Haskell | Safe-Infered

VisageSyntax

# Documentation

data VisageChild

Constructors

VChild Identifier Type Attributes Attributes VisageRules |

type VisageChildren = [VisageChild]

data VisageGrammar

Constructors

VGrammar VisageNonterminals |

data VisageNonterminal

Constructors

VNonterminal NontermIdent Attributes Attributes VisageProductions |

type VisageNonterminals = [VisageNonterminal]

data VisageProduction

Constructors

VProduction ConstructorIdent VisageChildren VisageRules VisageRules |

type VisageProductions = [VisageProduction]

data VisageRule

Constructors

VRule [(Identifier, Identifier)] Identifier VisagePattern Expression Bool |

type VisageRules = [VisageRule]